# azure.mgmt.powerbiembedded.operations module

class `azure.mgmt.powerbiembedded.operations.``WorkspaceCollectionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkspaceCollectionsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-01-29”.

  `check_name_availability`(location, name=None, type='Microsoft.PowerBI/workspaceCollections', custom_headers=None, raw=False, **operation_config)

    Verify the specified Power BI Workspace Collection name is valid and not already in use.

    Parameters:

    - location (str) – Azure location
    - name (str) – Workspace collection name
    - type (str) – Resource type
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CheckNameResponse or ClientRawResponse if raw=true
    Return type: | CheckNameResponse or ClientRawResponse
    Raises: | `ErrorException`

  `create`(resource_group_name, workspace_collection_name, location=None, tags=None, custom_headers=None, raw=False, **operation_config)

    Creates a new Power BI Workspace Collection with the specified properties. A Power BI Workspace Collection contains one or more workspaces, and can be used to provision keys that provide API access to those workspaces.

    Parameters:

    - resource_group_name (str) – Azure resource group
    - workspace_collection_name (str) – Power BI Embedded Workspace Collection name
    - location (str) – Azure location
    - tags (dict[str, str]) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkspaceCollection or ClientRawResponse if raw=true
    Return type: | WorkspaceCollection or ClientRawResponse
    Raises: | `ErrorException`

  `delete`(resource_group_name, workspace_collection_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Delete a Power BI Workspace Collection.

    Parameters:

    - resource_group_name (str) – Azure resource group
    - workspace_collection_name (str) – Power BI Embedded Workspace Collection name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorException`

  `get_access_keys`(resource_group_name, workspace_collection_name, custom_headers=None, raw=False, **operation_config)

    Retrieves the primary and secondary access keys for the specified Power BI Workspace Collection.

    Parameters:

    - resource_group_name (str) – Azure resource group
    - workspace_collection_name (str) – Power BI Embedded Workspace Collection name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkspaceCollectionAccessKeys or ClientRawResponse if raw=true
    Return type: | WorkspaceCollectionAccessKeys or ClientRawResponse
    Raises: | `ErrorException`

  `get_by_name`(resource_group_name, workspace_collection_name, custom_headers=None, raw=False, **operation_config)

    Retrieves an existing Power BI Workspace Collection.

    Parameters:

    - resource_group_name (str) – Azure resource group
    - workspace_collection_name (str) – Power BI Embedded Workspace Collection name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkspaceCollection or ClientRawResponse if raw=true
    Return type: | WorkspaceCollection or ClientRawResponse
    Raises: | `ErrorException`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Retrieves all existing Power BI workspace collections in the specified resource group.

    Parameters:

    - resource_group_name (str) – Azure resource group
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of WorkspaceCollection
    Return type: | WorkspaceCollectionPaged[WorkspaceCollection]
    Raises: | `ErrorException`

  `list_by_subscription`(custom_headers=None, raw=False, **operation_config)

    Retrieves all existing Power BI workspace collections in the specified subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of WorkspaceCollection
    Return type: | WorkspaceCollectionPaged[WorkspaceCollection]
    Raises: | `ErrorException`

  `migrate`(resource_group_name, target_resource_group=None, resources=None, custom_headers=None, raw=False, **operation_config)

    Migrates an existing Power BI Workspace Collection to a different resource group and/or subscription.

    Parameters:

    - resource_group_name (str) – Azure resource group
    - target_resource_group (str) – Name of the resource group the Power BI workspace collections will be migrated to.
    - resources (list[str]) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorException`

  `regenerate_key`(resource_group_name, workspace_collection_name, key_name=None, custom_headers=None, raw=False, **operation_config)

    Regenerates the primary or secondary access key for the specified Power BI Workspace Collection.

    Parameters:

    - resource_group_name (str) – Azure resource group
    - workspace_collection_name (str) – Power BI Embedded Workspace Collection name
    - key_name (str or AccessKeyName) – Key name. Possible values include: ‘key1’, ‘key2’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkspaceCollectionAccessKeys or ClientRawResponse if raw=true
    Return type: | WorkspaceCollectionAccessKeys or ClientRawResponse
    Raises: | `ErrorException`

  `update`(resource_group_name, workspace_collection_name, tags=None, custom_headers=None, raw=False, **operation_config)

    Update an existing Power BI Workspace Collection with the specified properties.

    Parameters:

    - resource_group_name (str) – Azure resource group
    - workspace_collection_name (str) – Power BI Embedded Workspace Collection name
    - tags (dict[str, str]) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WorkspaceCollection or ClientRawResponse if raw=true
    Return type: | WorkspaceCollection or ClientRawResponse
    Raises: | `ErrorException`

  `models` = <module 'azure.mgmt.powerbiembedded.models' from '/usr/lib/python3/dist-packages/azure/mgmt/powerbiembedded/models/__init__.py'>

class `azure.mgmt.powerbiembedded.operations.``WorkspacesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkspacesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-01-29”.

  `list`(resource_group_name, workspace_collection_name, custom_headers=None, raw=False, **operation_config)

    Retrieves all existing Power BI workspaces in the specified workspace collection.

    Parameters:

    - resource_group_name (str) – Azure resource group
    - workspace_collection_name (str) – Power BI Embedded Workspace Collection name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Workspace
    Return type: | WorkspacePaged[Workspace]
    Raises: | `ErrorException`

  `models` = <module 'azure.mgmt.powerbiembedded.models' from '/usr/lib/python3/dist-packages/azure/mgmt/powerbiembedded/models/__init__.py'>